Skip to main content
PUT
/
sources
/
{id}
Updates a source.
curl --request PUT \
  --url https://api.leadping.ai/sources/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "id": "<string>",
  "description": "<string>",
  "enabled": true,
  "apiKey": "<string>",
  "businessId": "<string>"
}
'
{
  "id": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "modifiedAt": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "description": "<string>",
  "enabled": true,
  "apiKey": "<string>",
  "user": {
    "id": "<string>",
    "name": "<string>"
  },
  "business": {
    "id": "<string>",
    "name": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. (i.e. "Bearer 1234abcdef")

Path Parameters

id
string
required

The ID of the source to update.

Body

application/json

The updated source data.

name
string
required
Maximum string length: 255
id
string | null
description
string | null
enabled
boolean
apiKey
string | null
businessId
string | null

Response

Source was successfully updated.

id
string | null
createdAt
string<date-time>
modifiedAt
string<date-time> | null
name
string | null
description
string | null
enabled
boolean
apiKey
string | null
user
object
business
object